> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.givechariot.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.givechariot.com/_mcp/server.

# Sandbox: Onboard an organization

POST https://api.givechariot.com/v1/simulations/organizations/onboard/{id}
Content-Type: application/json

Creates a Chariot account for a sandbox recipient organization so that
disbursements to it settle electronically instead of via a mailed check.

By default a sandbox organization has no Chariot account, so disbursements
to it are mailed as a physical check. Call this endpoint to provision an
account for the organization and choose which electronic rail its
disbursements should settle on.

The `settlement` is fixed on the first successful call. Onboarding the same
organization again with a different `settlement` returns an error.

This API is only available in the sandbox environment.

Reference: https://docs.givechariot.com/api/organizations/onboard

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.givechariot.com` (Production, default)
- `https://sandboxapi.givechariot.com` (Sandbox)

## Request

### Path parameters

- `id` (string, required) — The unique identifier for the organization to onboard.

### Body (application/json)

This endpoint expects an object.

- `settlement` (enum, required) — The electronic rail on which disbursements to an onboarded sandbox organization settle. `SANDBOX_SETTLEMENT_ACCOUNT_TRANSFER` settles as an in-network transfer between accounts on the same bank. `SANDBOX_SETTLEMENT_ACH` settles via ACH across banks.
  - Allowed values: `SANDBOX_SETTLEMENT_ACCOUNT_TRANSFER`, `SANDBOX_SETTLEMENT_ACH`

## Response

### 200

OK

- `id` (string, required) — The unique identifier for the object.
- `ein` (string, required) — The EIN of the organization.
- `name` (string, required) — The name of the organization. For organizations that operate under a different name than the one tied to the legal entity, this name will differ from the name of the linked entity. This is also known as the "DBA" or "Doing Business As" name of the organization.
- `parent_organization_id` (string, optional) — The unique identifier of the parent organization, if this is a sponsored organization. This value is `null` or empty if the organization is not sponsored or not a child of a parent organization.
- `physical_address` (Address, optional)
- `classification` (NonprofitClassification, optional) — A classification of the nonprofit entity as defined by the IRS.
- `compliance` (NonprofitCompliance, optional) — An object that contains legal information about the nonprofit entity and its tax-exemption status. This information is used to comply with regulations and ensure the legitimacy of the nonprofit for purposes of donations and disbursements.
- `mission_statement` (string, optional) — The mission statement of the organization
- `web` (WebDomain, optional) — A web domain is a unique identifier for a website or web application that is associated with an organization. Domains are important identity constructs that underpin the web and online interactions. The domain can be used as an identifier and its validity can be asserted via DNS.
- `brand` (Brand, optional) — Fair use brand assets that are associated with an organization and can be used for identification and informational purposes.
- `officers` (list of Person, optional) — The list of officers of the organization
- `claimed` (boolean, optional) — A flag to indicate if the nonprofit has been claimed by a user. A nonprofit is claimed if a user signs up for a Chariot account with this nonprofit and is verified by the Chariot team.
- `incorporation` (Incorporation, optional) — Incorporation and IRS determination information for the nonprofit entity.

## Errors

### 400 Bad Request Error

The request is invalid or contains invalid parameters

- `type` (string, required) — A URI reference identifying the problem type.
- `title` (string, required) — A short, human-readable summary of the problem type.
- `status` (integer, required) — The HTTP status code for this error.
- `detail` (string, required) — A human-readable explanation specific to this occurrence.

### 401 Unauthorized Error

Unauthorized. The request is missing the security (OAuth2 Bearer token) requirements and the server is unable to verify the identify of the caller.

- `type` (string, required) — A URI reference identifying the problem type.
- `title` (string, required) — A short, human-readable summary of the problem type.
- `status` (integer, required) — The HTTP status code for this error.
- `detail` (string, required) — A human-readable explanation specific to this occurrence.

### 403 Forbidden Error

Access denied

- `type` (string, required) — A URI reference identifying the problem type.
- `title` (string, required) — A short, human-readable summary of the problem type.
- `status` (integer, required) — The HTTP status code for this error.
- `detail` (string, required) — A human-readable explanation specific to this occurrence.

### 404 Not Found Error

Resource Not Found

- `type` (string, required) — A URI reference identifying the problem type.
- `title` (string, required) — A short, human-readable summary of the problem type.
- `status` (integer, required) — The HTTP status code for this error.
- `detail` (string, required) — A human-readable explanation specific to this occurrence.

### 500 Internal Server Error

Internal Server Error

- `type` (string, required) — A URI reference identifying the problem type.
- `title` (string, required) — A short, human-readable summary of the problem type.
- `status` (integer, required) — The HTTP status code for this error.
- `detail` (string, required) — A human-readable explanation specific to this occurrence.

## Types

### Address

- `city` (string, required) — City, district, suburb, town, or village. Maximum length: 255 characters.
- `country` (string, required) — Two-letter country code (https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2)
- `line1` (string, required) — Address line 1 (e.g. street, PO Box, or company name). Maximum length: 255 characters.
- `postal_code` (string, required) — ZIP or postal code. Maximum length: 40 characters.
- `state` (string, required) — State, county, province, or region
- `line2` (string, optional) — Address line 2 (e.g. apartment, suite, unit, or building). Maximum length: 255 characters.

### NonprofitClassification

A classification of the nonprofit entity as defined by the IRS.

- `group_exemption_number` (string, optional) — This is a four-digit internal IRS number assigned to central/parent entity holding group exemption letters.
- `subsection_code` (TaxExemptCode, optional) — A tax exempt code is a code that is used to classify the tax-exempt status of a nonprofit entity.
- `filing_requirement_code` (TaxExemptCode, optional) — A tax exempt code is a code that is used to classify the tax-exempt status of a nonprofit entity.
- `foundation_code` (TaxExemptCode, optional) — A tax exempt code is a code that is used to classify the tax-exempt status of a nonprofit entity.
- `affiliation_code` (TaxExemptCode, optional) — A tax exempt code is a code that is used to classify the tax-exempt status of a nonprofit entity.
- `organization_code` (TaxExemptCode, optional) — A tax exempt code is a code that is used to classify the tax-exempt status of a nonprofit entity.
- `exempt_status_code` (TaxExemptCode, optional) — A tax exempt code is a code that is used to classify the tax-exempt status of a nonprofit entity.
- `deductibility_code` (TaxExemptCode, optional) — A tax exempt code is a code that is used to classify the tax-exempt status of a nonprofit entity.
- `ntee_code` (NteeCode, optional) — A code that is used to classify the nonprofit entity as defined by the IRS.
- `naics_code` (NaicsCode, optional) — A code that is used to classify the nonprofit entity as defined by the NAICS.

### NonprofitCompliance

An object that contains legal information about the nonprofit entity and its tax-exemption status. This information is used to comply with regulations and ensure the legitimacy of the nonprofit for purposes of donations and disbursements.

- `daf_eligible` (boolean, optional) — Whether the entity is eligible to receive donations from a Donor Advised Fund
- `irs_pub_78` (ComplianceRequirement, optional) — A compliance requirement is a requirement that a nonprofit entity must meet in order to be eligible for Chariot services.
- `ofac` (ComplianceRequirement, optional) — A compliance requirement is a requirement that a nonprofit entity must meet in order to be eligible for Chariot services.
- `foundation_code` (ComplianceRequirement, optional) — A compliance requirement is a requirement that a nonprofit entity must meet in order to be eligible for Chariot services.
- `california_attorney_general_registry` (ComplianceRequirement, optional) — A compliance requirement is a requirement that a nonprofit entity must meet in order to be eligible for Chariot services.
- `california_franchise_tax_board` (ComplianceRequirement, optional) — A compliance requirement is a requirement that a nonprofit entity must meet in order to be eligible for Chariot services.

### WebDomain

A web domain is a unique identifier for a website or web application that is associated with an organization. Domains are important identity constructs that underpin the web and online interactions. The domain can be used as an identifier and its validity can be asserted via DNS.

- `domain` (string, required) — The DNS domain name

### Brand

Fair use brand assets that are associated with an organization and can be used for identification and informational purposes.

- `icon_url` (string, optional) — The URL of the organization's icon
- `logo_url` (string, optional) — The URL of the organization's logo

### Person

A person is an individual who is an officer of a nonprofit.

- `name` (string, required) — The full name of the person
- `title` (string, optional) — The title or role of the person with respect to the nonprofit entity

### Incorporation

Incorporation and IRS determination information for the nonprofit entity.

- `formation_year` (string, optional) — The year the organization was incorporated or formed.
- `state` (string, optional) — The U.S. state where the organization is legally domiciled.
- `ruling_date` (string, optional) — The month and year on the IRS ruling or determination letter recognizing the organization's exempt status. Formatted as an ISO 8601 year-month string.

### TaxExemptCode

A tax exempt code is a code that is used to classify the tax-exempt status of a nonprofit entity.

- `code` (integer, required) — The code of the tax exempt code
- `name` (string, required) — The name of the tax exempt code
- `description` (string, optional) — The description of the tax exempt code

### NteeCode

A code that is used to classify the nonprofit entity as defined by the IRS.

- `code` (string, required) — The code of the NTEE code
- `description` (string, required) — The description of the NTEE code
- `parent_code` (string, optional) — The parent code of the NTEE code
- `parent_description` (string, optional) — The description of the parent NTEE code

### NaicsCode

A code that is used to classify the nonprofit entity as defined by the NAICS.

- `naics2` (string, optional) — The code of the NAICS code
- `naics2_description` (string, optional) — The description of the NAICS code
- `naics4` (string, optional) — The code of the NAICS code
- `naics4_description` (string, optional) — The description of the NAICS code
- `naics6` (string, optional) — The code of the NAICS code
- `naics6_description` (string, optional) — The description of the NAICS code

### ComplianceRequirement

A compliance requirement is a requirement that a nonprofit entity must meet in order to be eligible for Chariot services.

- `compliant` (boolean, optional) — Whether the entity is compliant with the requirement
- `reason` (string, optional) — The reason for the compliance requirement
- `last_found_at` (datetime, optional) — The date and time when the compliance requirement was last found

## Examples

**Request**

```json
{
  "settlement": "SANDBOX_SETTLEMENT_ACCOUNT_TRANSFER"
}
```

**Response**

```json
{
  "id": "org_01j8rs605a4gctmbm58d87mvsj",
  "ein": "123456789",
  "name": "American Red Cross",
  "parent_organization_id": "org_01j8rs605a4gctmbm58d87mvsk",
  "physical_address": {
    "city": "New York",
    "country": "US",
    "line1": "123 Main St.",
    "postal_code": "12345",
    "state": "NY",
    "line2": "string"
  },
  "classification": {
    "group_exemption_number": "string",
    "subsection_code": {
      "code": 1,
      "name": "UNCONDITIONAL",
      "description": "Unconditional Exemption"
    },
    "filing_requirement_code": {
      "code": 1,
      "name": "UNCONDITIONAL",
      "description": "Unconditional Exemption"
    },
    "foundation_code": {
      "code": 1,
      "name": "UNCONDITIONAL",
      "description": "Unconditional Exemption"
    },
    "affiliation_code": {
      "code": 1,
      "name": "UNCONDITIONAL",
      "description": "Unconditional Exemption"
    },
    "organization_code": {
      "code": 1,
      "name": "UNCONDITIONAL",
      "description": "Unconditional Exemption"
    },
    "exempt_status_code": {
      "code": 1,
      "name": "UNCONDITIONAL",
      "description": "Unconditional Exemption"
    },
    "deductibility_code": {
      "code": 1,
      "name": "UNCONDITIONAL",
      "description": "Unconditional Exemption"
    },
    "ntee_code": {
      "code": "A",
      "description": "Animal Welfare",
      "parent_code": "A",
      "parent_description": "Animal Welfare"
    },
    "naics_code": {
      "naics2": "31",
      "naics2_description": "Manufacturing",
      "naics4": "3112",
      "naics4_description": "Grain and Oilseed Milling",
      "naics6": "311221",
      "naics6_description": "Wet Corn Milling and Starch Manufacturing"
    }
  },
  "compliance": {
    "daf_eligible": true,
    "irs_pub_78": {
      "compliant": true,
      "reason": "string",
      "last_found_at": "2020-01-31T23:00:00Z"
    },
    "ofac": {
      "compliant": true,
      "reason": "string",
      "last_found_at": "2020-01-31T23:00:00Z"
    },
    "foundation_code": {
      "compliant": true,
      "reason": "string",
      "last_found_at": "2020-01-31T23:00:00Z"
    },
    "california_attorney_general_registry": {
      "compliant": true,
      "reason": "string",
      "last_found_at": "2020-01-31T23:00:00Z"
    },
    "california_franchise_tax_board": {
      "compliant": true,
      "reason": "string",
      "last_found_at": "2020-01-31T23:00:00Z"
    }
  },
  "mission_statement": "To provide relief to those in need",
  "web": {
    "domain": "redcross.org"
  },
  "brand": {
    "icon_url": "string",
    "logo_url": "string"
  },
  "officers": [
    {
      "name": "string",
      "title": "Executive Director"
    }
  ],
  "claimed": true,
  "incorporation": {
    "formation_year": "2005",
    "state": "AZ",
    "ruling_date": "2020-07"
  }
}
```